| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IStagerSvc Class Referenceabstract

`#include <GaudiKernel/IStagerSvc.h>`

Inheritance diagram for IStagerSvc:
[legend]
Collaboration diagram for IStagerSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IStagerSvc, 2, 0)
| InterfaceID. More...
virtual StatusCode | getStreams ()=0
| Retrieve interface ID. More...
virtual StatusCode | readAhead ()=0
virtual StatusCode | initStage ()=0
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition at line 11 of file IStagerSvc.h.

## Member Function Documentation

IStagerSvc::DeclareInterfaceID | ( | IStagerSvc | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IStagerSvc::getStreams | ( |  | ) |
| pure virtual

Retrieve interface ID.

virtual StatusCode IStagerSvc::initStage | ( |  | ) |
| pure virtual

virtual StatusCode IStagerSvc::readAhead | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IStagerSvc.h